---
layout: feature
title: GitLab Continuous Delivery
description: "Learn about GitLab's integrated CI/CD pipelines that help to build, test, deploy, and monitor your code."
suppress_header: true
canonical_path: "/stages-devops-lifecycle/continuous-delivery/"
extra_css:
  - gitlab-feature-landing-page.css
  - comparison-page-v2.css
  - solutions-v3.css
  - carousel.css

extra_js:
  - comparison-v2.js
  - bootstrap-tooltip.js
  - carousel.js
---
.wrapper.gitlab-ee-page
  .image-title
    .color-bg
      %div
        %h1 GitLab Continuous Delivery
        %h3#ci-subt GitLab has integrated CI/CD pipelines to build, test, deploy, and monitor your code
        = link_to "Try GitLab for Free", "/free-trial/", class: "btn cta-btn btn-white"

  .sub-wrapper
    .container-container.padding-vertical0.white-bg
      .container
        / ----- This creates the full wide section over an image - GitLab CICD Advantages
        = partial('includes/solutions/cd/old/2-text-over-image-gitlab-cicd-advantages.html.haml')


    .container-container.padding-vertical0.white-bg
      .container
        / ----- This creates the full wide section of text - CD Features
        = partial('includes/solutions/cd/old/3-full-wide-text-cd-features.html.haml')

    .container-container.padding-vertical0.white-bg
      .container
        / ----- This creates the two panel section Text-Image - GitLab DevOps
        = partial('includes/solutions/cd/old/4-two-column-text-image-gitlab-devops.html.haml')

    .container-container.padding-vertical0.white-bg
      .container
        / ----- This creates the two panel section Image-Text - Fully Integrated GitLab
        = partial('includes/solutions/cd/old/5-two-column-image-text-fully-integrated-gitlab.html.haml')

    .container-container.padding-vertical0.white-bg
      .container
        / ----- This creates the two panel section Text-Image - GitLab CD Architecture
        = partial('includes/solutions/cd/old/6-two-column-text-image-architecture.html.haml')

    .container-container.padding-vertical0.white-bg
      .container
        / ----- This creates the two panel section Image-Text - GitLab Runner
        = partial('includes/solutions/cd/old/11-two-column-image-text-gitlab-runner.html.haml')

    .content-container.padding-vertical0.grey-bg.container{:id=>"continuous-delivery-happy-customers"}
      / ----- This creates the recommendation/quote block
      .container
        = partial('includes/solutions/cd/glympse-quote.html.haml')

    .content-container.padding-vertical0.grey-bg.container{:id=>"continuous-delivery-case-studies"}
      / ----- This creates the Case Studies Carousel  The content is in the solutions.yaml data file
      .container
        - content = data.solutions.cd.case_studies
        = partial('includes/solutions/carousel/index.html.haml', :locals => { :title => content.title, :subtitle => content.subtitle, :items => content.items })

    .content-container.padding-vertical0.white-bg.container{:id=>"continuous-delivery-gartner-reviews"}
      / ----- This creates the Gartner Peer Insights  The content is in the solutions.yaml data file
      .container
        - content = data.solutions.cd.gartner_peer_insights
        = partial('includes/solutions/carousel/index.html.haml', :locals => { :title => content.title, :subtitle => content.subtitle, :items => content.items })

    .container-container.padding-vertical0.white-bg
      .container
        / ----- This creates the two panel section Text-Image - Git more help and info
        = partial('includes/solutions/cd/old/12-two-column-text-image-help-more-info.html.haml')
